//Βιβλιοθήκη για σειριακή επικοινωνία
#include <SoftwareSerial.h> 
//Δήλωση αντικειμένου Software Serial
SoftwareSerial hc12srl(4,5); 

void setup() {
  hc12srl.begin(9600); //Εκκίνηση επικοινωνίας με HC-12
  //Η ακίδα που συνδέεται στο Set ορίζεται ως έξοδος
  pinMode(7, OUTPUT); 
  digitalWrite(7, LOW); //Μετάβαση σε λειτουργία AT
  delay(200); //Χρονοκαθυστέρηση 200 ms
  //hc12srl.println("AT+C002"); //Ορισμός καναλιού για κόμβο 1
  hc12srl.println("AT+C007"); //Ορισμός καναλιού για κόμβο 2
  digitalWrite(7, HIGH); //Μετάβαση σε λειτουργία Transparent
  delay(200); //Χρονοκαθυστέρηση 200 ms
}

void loop() {
  String command; //Μεταβλητή για τα εισερχόμενα δεδομένα
  float temp; //Μεταβλητή για τη θερμοκρασία
  if (hc12srl.available()) //Αν υπάρχουν δεδομένα
  {
    //Ανάγνωση εισερχόμενου String στη μεταβλητή command
    command=hc12srl.readStringUntil(10); 
    if(command.startsWith("get")) //Αν έγινε λήψη εντολής get
    {
      temp=analogRead(A0)*5*100.0/1024; //Υπολογισμός θερμοκρασίας
      hc12srl.println(temp); //Αποστολή θερμοκρασίας
    }
  }
}
