int trig = 10;
int echo = 11;

void setup()
{
  pinMode(trig,OUTPUT);
  pinMode(echo,INPUT);
  
  Serial.begin(9600);
}

void loop()
{
  long duration, cm;
  
  digitalWrite(trig, LOW);
  delayMicroseconds(2);
  
  digitalWrite(trig, HIGH);
  delayMicroseconds(10);
  
  digitalWrite(trig, LOW);
  delayMicroseconds(2);
  
  duration = pulseIn(echo, HIGH);
  cm = microsecondsToCentimeters(duration);
  
  Serial.println(cm);
  delay(500);
  
}
  
long microsecondsToCentimeters(long microseconds)
{
  return microseconds / 29 / 2;
}

