//Κώδικας Εφαρμογής 10: Αισθητήρας LM35/Ηλεκτρονικό Θερμόμετρο
//από το βιβλίο "Ανάπτυξη Εφαρμογών με το Arduino"
//Εκδόσεις Τζιόλα
//Π. Παπάζογλου, Σ. Λιωνής

//Εισαγωγή βιβλιοθήκης LiquidCrystal
#include <LiquidCrystal.h>

//Δημιουργία μεταβλητής τύπου LiquidCrystal 
LiquidCrystal lcd(2,3,4,5,6,7);
const int LM35_Pin = A0;//Pin αισθητήρα LM35

void setup()
{
  //Αλλαγή τάσης αναφοράς σε 1.1V
  analogReference(INTERNAL);
  lcd.begin(16, 2);//Ορισμός διαστάσεων της οθόνης
}

void loop(){
float temperature; //Μεταβλητή για τη θερμοκρασία
//Υπολογισμός της θερμοκρασίας
temperature = (analogRead(LM35_Pin)*1.1*100/1024);

lcd.home();//Μετακίνηση δρομέα στην 1η θέση
if (temperature<4) lcd.print("Παγετός");


//Καθυστέρηση πριν την επόμενη μέτρηση
delay(1000);
}

