//Κώδικας Εφαρμογής 11: Φωτοευαίσθητη Αντίσταση/Αυτόματο Φωτάκι Νυκτός
//από το βιβλίο "Ανάπτυξη Εφαρμογών με το Arduino"
//Εκδόσεις Τζιόλα
//Π. Παπάζογλου, Σ. Λιωνής

const int Photoresistor_Pin = A0;//Pin αισθητήρα
const int LED_Pin = 11;//Pin του LED 
const int threshold = 15;//Κατώφλι ενεργοποίησης
int Input_Value = 0;//Τιμή από τον αισθητήρα φωτός

void setup() {
pinMode(LED_Pin, OUTPUT);
}

void loop() {
  //Ανάγνωση τιμής από τον αισθητήρα φωτός
  Input_Value = analogRead(Photoresistor_Pin);
  //Σύγκριση τιμής εισόδου με το κατώφλι
  if(Input_Value < threshold)
  {//Αν είναι μικρότερη από το κατώφλι
   digitalWrite(LED_Pin,HIGH);//Άναψε το LED
  }
  else 
  {//Αν είναι μεγαλύτερη
   digitalWrite(LED_Pin,LOW);//Σβήσε το LED 
  }  
  delay(1000);//Καθυστέρηση 1 δευτερόλεπτο
}

