//Εναλλακτικός Κώδικας Εφαρμογής 12 για Σύνδεση LM393 σε Ψηφιακό pin
//από το βιβλίο "Ανάπτυξη Εφαρμογών με το Arduino"
//Εκδόσεις Τζιόλα
//Π. Παπάζογλου, Σ. Λιωνής

const int LED_Pin = 12;//Pin ελέγχου του LED
const int SoundSensor_Pin = 2;//Pin αισθητήρα
int LED_State = LOW;//Κατάσταση του LED

void setup(){                
  pinMode(LED_Pin, OUTPUT); 
  pinMode(SoundSensor_Pin, INPUT);
}

void loop(){ //Ανάγνωση της τιμής του αισθητήρα
  int Sound_Level = digitalRead(SoundSensor_Pin);  
  if(Sound_Level==LOW)//Αν έχει ανιχνευθεί ήχος
  { //Άλλαξε την κατάσταση του LED
    LED_State = !LED_State; 
    digitalWrite(LED_Pin, LED_State);
    delay(300);//Καθυστέρηση 0,3 sec
  }
}

