#include <Wire.h>
void setup() 
{
  Wire.begin();
  Serial.begin(9600);
  Serial.println("START\n");
}
void loop() 
{
  byte comstatus, addr;
  int numdev;
  Serial.println("Searching...");
  numdev = 0;
  for (addr = 1; addr < 127; addr++ ) 
  {
    Wire.beginTransmission(addr);
    comstatus = Wire.endTransmission();
    if (comstatus == 0) 
    {
      Serial.print("Device found : address : 0x");
      Serial.print(addr, HEX);
      numdev++; 
    }
   }
 
  if (numdev == 0)
    Serial.println("Device not found\n");
  
    Serial.println("\nEND!\n");
  delay(2000);
}
